e0a373b391
Add 0211-fix_multipath_check_hostonly.patch: - Fix warning about multipath Modify 0300-dracut_dont_use_dpkg_defaults_on_SUSE.patch: - Don't try to include plymouth if plymouth-dracut pkg. not installed Add 0210-add_fcoe_uefi_check.patch: - Only install fcoe-uefi module if needed (boo#965477) OBS-URL: https://build.opensuse.org/request/show/359020 OBS-URL: https://build.opensuse.org/package/show/Base:System/dracut?expand=0&rev=252
28 lines
1.1 KiB
Diff
28 lines
1.1 KiB
Diff
Index: dracut-044/modules.d/50plymouth/module-setup.sh
|
|
===================================================================
|
|
--- dracut-044.orig/modules.d/50plymouth/module-setup.sh
|
|
+++ dracut-044/modules.d/50plymouth/module-setup.sh
|
|
@@ -3,6 +3,8 @@
|
|
# called by dracut
|
|
check() {
|
|
[[ "$mount_needs" ]] && return 1
|
|
+ # Don't include plymouth if plymouth-dracut package not installed
|
|
+ [ -x /usr/lib/plymouth/plymouth-populate-initrd ] || return 1
|
|
require_binaries plymouthd plymouth plymouth-set-default-theme
|
|
}
|
|
|
|
@@ -14,9 +16,10 @@ depends() {
|
|
# called by dracut
|
|
install() {
|
|
PKGLIBDIR="/usr/lib/plymouth"
|
|
- if type -P dpkg-architecture &>/dev/null; then
|
|
- PKGLIBDIR="/usr/lib/$(dpkg-architecture -qDEB_HOST_MULTIARCH)/plymouth"
|
|
- fi
|
|
+ # breaks if dpkg is installed on openSUSE
|
|
+ #if type -P dpkg-architecture &>/dev/null; then
|
|
+ # PKGLIBDIR="/usr/lib/$(dpkg-architecture -qDEB_HOST_MULTIARCH)/plymouth"
|
|
+ #fi
|
|
[ -x /usr/libexec/plymouth/plymouth-populate-initrd ] && PKGLIBDIR="/usr/libexec/plymouth"
|
|
|
|
if grep -q nash ${PKGLIBDIR}/plymouth-populate-initrd \
|